Bug 728823 - Review Request: django-tinymce - TinyMCE form field editor for Django applications
Review Request: django-tinymce - TinyMCE form field editor for Django applica...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Nitrate
  Show dependency treegraph
 
Reported: 2011-08-07 22:36 EDT by Yuguang Wang
Modified: 2012-01-04 00:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-04 00:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yuguang Wang 2011-08-07 22:36:03 EDT
Spec URL: http://yuwang.fedorapeople.org/django-tinymce.spec
SRPM URL: http://yuwang.fedorapeople.org/django-tinymce-1.5-1.fc13.src.rpm
Description: A Django application that contains a widget to render a form field as a TinyMCE editor.

Features:

Use as a form widget or with a view.
Enhanced support for content languages.
Integration with the TinyMCE spellchecker.
Enables predefined link and image lists for dialogs.
Can compress the TinyMCE Javascript code.
Integration with django-filebrowser.
Comment 1 Yuguang Wang 2011-08-07 22:39:03 EDT
rpmlint results:

$ rpmlint django-tinymce-1.5-1.fc13.src.rpm
django-tinymce.src: W: file-size-mismatch django-tinymce-1.5.tar.gz = 13732, http://django-tinymce.googlecode.com/files/django-tinymce-1.5.tar.gz = 13396
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint django-tinymce.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Yuguang Wang 2011-08-07 22:40:45 EDT
Warning becoz the package from googlecode has no spec files in it, I created a spec file for it.
(In reply to comment #1)
> rpmlint results:
> 
> $ rpmlint django-tinymce-1.5-1.fc13.src.rpm
> django-tinymce.src: W: file-size-mismatch django-tinymce-1.5.tar.gz = 13732,
> http://django-tinymce.googlecode.com/files/django-tinymce-1.5.tar.gz = 13396
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> $ rpmlint django-tinymce.spec 
> 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Jens Petersen 2011-08-07 22:49:10 EDT
(In reply to comment #2)
> Warning becoz the package from googlecode has no spec files in it, I created a
> spec file for it.

Erm that is normal. :)

> (In reply to comment #1)
> > rpmlint results:
> > 
> > $ rpmlint django-tinymce-1.5-1.fc13.src.rpm
> > django-tinymce.src: W: file-size-mismatch django-tinymce-1.5.tar.gz = 13732,
> > http://django-tinymce.googlecode.com/files/django-tinymce-1.5.tar.gz = 13396
> > 1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Please don't do that.  There is no need to re-roll the upstream tarball.
Comment 4 Jens Petersen 2011-09-29 03:14:08 EDT
ping?
Comment 5 Yuguang Wang 2011-09-29 03:34:12 EDT
hi Jens,

What do you mean by 'There is no need to re-roll the upstream tarball'? 
Shouldn't I provide the src.rpm?
Did I miss anything?
Comment 6 Jens Petersen 2011-09-29 05:40:11 EDT
You modified the tarball in the srpm, right?
You should just use the upstream source file without any modification.
The srpm already includes the spec file automatically there
is no need whatsoever to include it in the tarball.
Hope that makes it clearer. :)
Comment 7 Yuguang Wang 2011-09-29 22:16:53 EDT
(In reply to comment #6)
Gotcha, thanks.
srpm updated with spec file removed:
http://yuwang.fedorapeople.org/django-tinymce.spec
http://yuwang.fedorapeople.org/django-tinymce-1.5-1.fc13.src.rpm

> You modified the tarball in the srpm, right?
> You should just use the upstream source file without any modification.
> The srpm already includes the spec file automatically there
> is no need whatsoever to include it in the tarball.
> Hope that makes it clearer. :)
Comment 8 Parag AN(पराग) 2011-11-21 00:39:41 EST
Every modification to SPEC file should bump the release tag and add a appropriate changelog. I see tarball checksum is still not matching.

a181255e8efe7b57a22851ebb184f3b9bf867bac  django-tinymce-1.5.tar.gz
9830507cd89f5cc3abea0fedea4a4cf9fbdeeb59  ../SOURCES/django-tinymce-1.5.tar.gz

*** Always use the upstream source tarball and if required patch it in SPEC ***
Comment 9 Yuguang Wang 2011-11-25 03:23:06 EST
(In reply to comment #8)
Thanks for informing, I used the original tarball to build srpm.
I guess it's ok now, version/release bumped to 1.5-2:

http://yuwang.fedorapeople.org/django-tinymce.spec
http://yuwang.fedorapeople.org/django-tinymce-1.5-2.fc13.src.rpm

> Every modification to SPEC file should bump the release tag and add a
> appropriate changelog. I see tarball checksum is still not matching.
Comment 10 Parag AN(पराग) 2011-11-27 23:22:51 EST
Review:

+ koji scratch build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3545280

+ rpmlint on rpms gave
django-tinymce.src: W: invalid-url Source0: http://django-tinymce.googlecode.com/files/django-tinymce-1.5.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
==> This looks a false message. 

+ source verified with upstream as (sha1sum)
a181255e8efe7b57a22851ebb184f3b9bf867bac  django-tinymce-1.5.tar.gz
a181255e8efe7b57a22851ebb184f3b9bf867bac  ../SOURCES/django-tinymce-1.5.tar.gz

+ rest follows packaging guidelines.


Suggestions:
1) Remove CFLAGS="$RPM_OPT_FLAGS" from %build as this is noarch package

APPROVED.
Comment 11 Parag AN(पराग) 2011-12-12 04:29:32 EST
Can you request the fedora-cvs flag and do you need the sponsorship?
Comment 12 Yuguang Wang 2011-12-12 04:35:49 EST
(In reply to comment #11)
> Can you request the fedora-cvs flag
I cannot mark the flag 'fedora‑cvs' for this bug, not clickable.

>do you need the sponsorship?
I guess so.

And thanks for the update.
Comment 13 Parag AN(पराग) 2011-12-12 04:47:46 EST
Ok. I have sponsored you now. You can try now or after some time for fedora-cvs flag.
Comment 14 Parag AN(पराग) 2011-12-12 06:53:15 EST
yuwang,
   Please go through http://fedoraproject.org/wiki/New_package_process_for_existing_contributors page. Now you are at step 7. you need to raise fedora-cvs-? flag and the dist-git admins will create a git package module for you and they will change it to fedora-cvs+
Comment 15 Jon Ciesla 2011-12-12 08:44:29 EST
Please include an SCM request.
Comment 16 Parag AN(पराग) 2011-12-21 05:20:13 EST
ping
Comment 17 Yuguang Wang 2011-12-21 21:11:44 EST
New Package SCM Request
=======================
Package Name: django-tinymce
Short Description: TinyMCE form field editor for Django applications
Owners: yuwang
Branches: f15 f16 el6
InitialCC: yuwang
Comment 18 Parag AN(पराग) 2011-12-29 00:42:02 EST
yuwang,
   Looks like you missed to raise a fedora-cvs flag. I have done it for you.
Comment 19 Yuguang Wang 2011-12-29 01:05:52 EST
Thanks :)
Comment 20 Jon Ciesla 2011-12-29 20:04:04 EST
Git done (by process-git-requests).
Comment 21 Yuguang Wang 2012-01-04 00:08:00 EST
koji build successfully(el6):
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3617691

Thanks all for your help, close it as NEXTREALEASE.

Note You need to log in before you can comment on or make changes to this bug.